Name:             grig
Version:          0.8.1
Release:          %mkrel 6
Summary:          A Ham Radio Control graphical user interface
Group:            Communications/Radio
License:          GPLv2+
URL:              http://groundstation.sourceforge.net/grig/
Source0:          http://prdownloads.sourceforge.net/groundstation/%{name}-%{version}.tar.gz
Patch0:           grig-0.8.1-automake-1.13.patch
Patch1:           grig-0.8.1-mga-hamlib.patch
Patch2:           grig-0.8.1-mga-RIG_LEVEL_VOX.patch
BuildRequires:    pkgconfig(gthread-2.0) >= 2.14.0
BuildRequires:    pkgconfig(gtk+-2.0) >= 2.12.0
BuildRequires:    pkgconfig(hamlib) >= 1.2.8
BuildRequires:    desktop-file-utils
BuildRequires:    gettext-devel
BuildRequires:    intltool
BuildRequires:    gnome-common
Requires:         hamlib
Recommends:       hamlib-utils

%description
Grig is a graphical user interface for the Ham Radio Control
Libraries. It is intended to be simple and generic, presenting the
user to the same interface regardless of which radio he or she uses.

%prep
%autosetup -p1

%build
%configure --disable-dependency-tracking
%make_build

%install
%make_install
rm -rf %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{_iconsdir}
cp -T %{buildroot}%{_datadir}/pixmaps/grig/ic910.png %{buildroot}%{_iconsdir}/grig.png

# Desktop file
install -d %buildroot%_datadir/applications
cat > %buildroot%_datadir/applications/%name.desktop << EOF
[Desktop Entry]
Type=Application
Exec=%{name}
Icon=%{name}
Terminal=false
Name=Grig
Comment=Amateur Radio Rig Control
StartupNotify=true
Categories=AudioVideo;Audio;HamRadio;X-Mageia-CrossDesktop;

EOF

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README ChangeLog
%license COPYING
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}
%{_iconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}*


%changelog
* Sun Aug 23 2020 barjac <barjac> 0.8.1-6.mga8
+ Revision: 1618176
- patch to fix build

* Wed Mar 25 2020 danf <danf> 0.8.1-5.mga8
+ Revision: 1559583
- Add hamlib.patch to fix compiling with latest hamlib 4.0 snapshot.
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ barjac <barjac>
- rebuild for hamlib-4.0
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.8.1-3.mga7
+ Revision: 1298075
- Mageia 7 Mass Rebuild

* Thu Mar 17 2016 daviddavid <daviddavid> 0.8.1-2.mga6
+ Revision: 992333
- rename and rediff unappliable automake-1.13 patch (since fixed autopatch)

* Mon Dec 21 2015 barjac <barjac> 0.8.1-1.mga6
+ Revision: 912786
- new version 0.8.1

* Wed Oct 15 2014 umeabot <umeabot> 0.8.0-9.mga5
+ Revision: 741305
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.0-8.mga5
+ Revision: 679939
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Oct 21 2013 umeabot <umeabot> 0.8.0-7.mga4
+ Revision: 538874
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 barjac <barjac> 0.8.0-6.mga4
+ Revision: 490628
- do not run gnome-autogen.sh

* Thu Jun 20 2013 fwang <fwang> 0.8.0-5.mga4
+ Revision: 445189
- build more tools
- add debian patch to build with latest glib

* Sat Jan 12 2013 umeabot <umeabot> 0.8.0-5.mga3
+ Revision: 352625
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 0.8.0-4.mga3
+ Revision: 339128
- patch1: fix build with automake 1.13
- use autoreconf+intltoolize and configure2_5x

* Fri Sep 28 2012 barjac <barjac> 0.8.0-3.mga3
+ Revision: 299036
- Changed group to new policy

* Fri Jan 06 2012 barjac <barjac> 0.8.0-2.mga2
+ Revision: 192559
- Edit to .desktop in spec

* Thu Jan 05 2012 barjac <barjac> 0.8.0-1.mga2
+ Revision: 191930
- Cleaned
- Removed un-needed versioned build requires
- Corrected BuildRequire: gettext to gettext-devel
- Moved desktop file from SOURCES to spec file
- Removed now un-needed Requires(post/un): desktop-file-utils
- Added Requires: hamlib as it's useless without it
- Added Suggests: hamlib-utils
- Added aclocal; autoconf
- Used macros for make and makeinstall
- Copied renamed icon to %%{_iconsdir }
- imported package grig

